<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1
seed 0

/* Bei einer der Zeilen 
   (z.B. schedule "Perpetuum_Sinus_1", 0, 2)  
   das Semikolon entfernen und starten */

instr Perpetuum_Sinus_1

 schedule "Perpetuum_Sinus_1", 3, 2
 
 aSinus poscil 0.2, 400
 out aSinus, aSinus

endin
;schedule "Perpetuum_Sinus_1", 0, 2

instr Perpetuum_Sinus_2

 iStart random 1,5
 iDur random 1,5
 schedule "Perpetuum_Sinus_2", iStart, iDur
 
 aSinus poscil 0.2, 400
 out aSinus, aSinus

endin
;schedule "Perpetuum_Sinus_2", 0, 3

instr Perpetuum_Sinus_3

 iStart random 1/3,3
 iDur random 1,7
 schedule "Perpetuum_Sinus_3", iStart, iDur
 
 iDb random -30, -6
 iAmp = ampdb(iDb)
 aEnv transeg iAmp, p3, -3, 0
 aSinus poscil aEnv, random:i(400,800)
 out aSinus, aSinus

endin
;schedule "Perpetuum_Sinus_3", 0, 2

instr Perpetuum_Sinus_4

 iStart random 1/3, 2
 iDur random 1,7
 schedule "Perpetuum_Sinus_4", iStart, iDur
 
 iDb random -30, -6
 iAmp = ampdb(iDb)
 aEnv transeg iAmp, p3, -3, 0
 iMidiNote random 55, 77
 aSinus poscil aEnv, mtof(iMidiNote)
 out aSinus, aSinus

endin
;schedule "Perpetuum_Sinus_4", 0, 3

instr Perpetuum_Sinus_5

 iPreviousNote = p4
 iDeviation random -3, 3
 iThisNote = iPreviousNote + iDeviation

 iDb random -30, -6
 iAmp = ampdb(iDb)
 aEnv transeg iAmp, p3, -3, 0
 aSinus poscil aEnv, mtof(iThisNote)
 out aSinus, aSinus
 
 iStart random 1/3, 2
 iDur random 1,7
 schedule "Perpetuum_Sinus_5", iStart, iDur, iThisNote

endin
;schedule "Perpetuum_Sinus_5", 0, 3, 70

instr Perpetuum_Sinus_6
//wie vorige version aber mit funktionaler schreibweise

 iThisNote = p4 + random:i(-3,3)

 aEnv = transeg:a(ampdb(random:i(-30,-6)),p3,-3,0)
 aSinus = poscil:a(aEnv,cpsmidinn(iThisNote))
 out(aSinus,aSinus)
 
 schedule("Perpetuum_Sinus_6",random:i(1/3,2),random:i(1,7),iThisNote)

endin
;schedule("Perpetuum_Sinus_6",0,3,70)
</CsInstruments>
<CsScore>

</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>100</x>
 <y>100</y>
 <width>320</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
